Package io.papermc.paper.event.world.border

# Class WorldBorderEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.world.WorldEvent
io.papermc.paper.event.world.border.WorldBorderEvent

Direct Known Subclasses:
  `WorldBorderBoundsChangeEvent`, `WorldBorderBoundsChangeFinishEvent`, `WorldBorderCenterChangeEvent`

public abstract class WorldBorderEvent extends WorldEvent

## Nested Class Summary

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Constructor Summary

Constructors
Constructor
Description
`WorldBorderEvent(@NotNull World world, @NotNull WorldBorder worldBorder)`

## Method Summary

Modifier and Type
Method
Description
`@NotNull WorldBorder`
`getWorldBorder()`

### Methods inherited from class org.bukkit.event.world.WorldEvent

`getWorld`

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, getHandlers, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### WorldBorderEvent

public WorldBorderEvent(@NotNull @NotNull World world, @NotNull @NotNull WorldBorder worldBorder)

## Method Details

### getWorldBorder

@NotNull public @NotNull WorldBorder getWorldBorder()